[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: JOEL BAKER, STOP TELLING PEOPLE TO DEPEND ON LIBC-DEV *INSTEAD* OF LIBC6-DEV



On Tue, Oct 15, 2002 at 09:52:21PM +1000, Hamish Moffatt wrote:
> On Tue, Oct 15, 2002 at 10:28:30AM +1000, Daniel Stone wrote:
> > Because, when you have multiple packages providing libc-dev, apt
> > stops and says "Shit! Which one should I install?". Your build thus
> > fails.
> 
> Why don't we fix apt-get instead of kludging all of our packages?
> Purely virtual dependencies should be quite acceptable.

what happens if there are multiple packages that provice the pure
virtual package? (for instance, www-browser) how would apt determine
which one to install?

> I'm surprised policy says otherwise...

i think that is why policy suggests a real package before the pure
virtual one, so that it knows what to choose if there is a conflict.

--
gram

Attachment: pgpbuQZRpYqAE.pgp
Description: PGP signature


Reply to: